package goamz_test

import (
    "goamz"
    . "gocheck"
)

var _ = Suite(&S3Suite{})
var _ = Suite(&S3IntSuite{})

type S3Suite struct {
    HTTPSuite
    s3 *goamz.S3
}

type S3IntSuite struct {
    IntSuite
    s3 *goamz.S3
}

func (s *S3IntSuite) SetUpSuite(c *C) {
    s.IntSuite.SetUpSuite(c)
    s.s3 = goamz.NewS3(s.auth, goamz.USEast)
}

func (s *S3Suite) SetUpSuite(c *C) {
    s.HTTPSuite.SetUpSuite(c)
    auth := goamz.Auth{"abc", "123"}
    s.s3 = goamz.NewS3(auth, goamz.Region{S3Endpoint: fakeEndpoint})
}
